Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 16 Sep 2014 05:53:10 +0000 (UTC)
From:      Hiroki Sato <hrs@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r368294 - in head/security/heimdal: . files
Message-ID:  <201409160553.s8G5rASE055424@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: hrs
Date: Tue Sep 16 05:53:10 2014
New Revision: 368294
URL: http://svnweb.freebsd.org/changeset/ports/368294
QAT: https://qat.redports.org/buildarchive/r368294/

Log:
  Add ipropd_master and ipropd_slave rc.d scripts for branches which do not
  have them.
  
  PR:	176805

Added:
  head/security/heimdal/files/ipropd_master.in   (contents, props changed)
  head/security/heimdal/files/ipropd_slave.in   (contents, props changed)
Modified:
  head/security/heimdal/Makefile

Modified: head/security/heimdal/Makefile
==============================================================================
--- head/security/heimdal/Makefile	Mon Sep 15 23:27:13 2014	(r368293)
+++ head/security/heimdal/Makefile	Tue Sep 16 05:53:10 2014	(r368294)
@@ -3,7 +3,7 @@
 
 PORTNAME=	heimdal
 PORTVERSION=	1.5.2
-PORTREVISION=	15
+PORTREVISION=	16
 CATEGORIES=	security ipv6
 MASTER_SITES=	http://www.h5l.org/dist/src/ \
 		http://ftp.pdc.kth.se/pub/heimdal/src/ \
@@ -38,6 +38,9 @@ CONFIGURE_ARGS=	--with-libintl \
 		--with-hdbdir="/var/${PORTNAME}" \
 		--sysconfdir="${PREFIX}/etc"
 MAKE_ENV=	INSTALL_CATPAGES=no
+.if !exists(/etc/rc.d/ipropd_master)
+USE_RC_SUBR=	ipropd_master ipropd_slave
+.endif
 
 INFO=		heimdal hx509
 

Added: head/security/heimdal/files/ipropd_master.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/heimdal/files/ipropd_master.in	Tue Sep 16 05:53:10 2014	(r368294)
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: ipropd_master
+# REQUIRE: kerberos
+# KEYWORD: shutdown
+
+# ipropd_master_keytab:
+#	Keytab file for iprop service.
+# ipropd_master_slaves:
+#	A list of slave nodes (hostname).
+
+. /etc/rc.subr
+
+name=ipropd_master
+rcvar=${name}_enable
+: ${ipropd_master_enable:=NO}
+: ${ipropd_master_program:=%%PREFIX%%/libexec/ipropd-master}
+: ${ipropd_master_keytab:="/etc/krb5.keytab"}
+required_files="$ipropd_master_keytab"
+start_precmd=${name}_start_precmd
+start_postcmd=${name}_start_postcmd
+
+ipropd_master_start_precmd()
+{
+
+	if [ -z "$ipropd_master_slaves" ]; then
+		warn "\$ipropd_master_slaves is empty."
+		return 1
+	fi
+	for _slave in $ipropd_master_slaves; do
+		echo $_slave
+	done > /var/heimdal/slaves || return 1
+	command_args="$command_args \
+	    --keytab=\"$ipropd_master_keytab\" \
+	    --detach \
+	"
+}
+ipropd_master_start_postcmd()
+{
+
+	echo "${name}: slave nodes: $ipropd_master_slaves"
+}
+
+load_rc_config $name
+run_rc_command "$1"

Added: head/security/heimdal/files/ipropd_slave.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/heimdal/files/ipropd_slave.in	Tue Sep 16 05:53:10 2014	(r368294)
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: ipropd_slave
+# REQUIRE: kerberos
+# KEYWORD: shutdown
+
+# ipropd_slave_keytab:
+#	Keytab file for iprop service.
+# ipropd_slave_master:
+#	Hostname of the master node.
+
+. /etc/rc.subr
+
+name=ipropd_slave
+rcvar=${name}_enable
+: ${ipropd_slave_enable:=NO}
+: ${ipropd_slave_program:=%%PREFIX%%/libexec/ipropd-slave}
+: ${ipropd_slave_keytab:="/etc/krb5.keytab"}
+required_files="$ipropd_slave_keytab"
+start_precmd=${name}_start_precmd
+
+ipropd_slave_start_precmd()
+{
+
+	if [ -z "$ipropd_slave_master" ]; then
+		warn "\$ipropd_slave_master is empty."
+		return 1
+	fi
+	command_args=" \
+	    $command_args \
+	    --keytab=\"$ipropd_slave_keytab\" \
+	    --detach \
+	    $ipropd_slave_master"
+}
+
+load_rc_config $name
+run_rc_command "$1"



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201409160553.s8G5rASE055424>